curl --request POST \
--url https://api-eu.cybedefend.com/integrations/acr/container-registry/organization/{organizationId}/credentials \
--header 'Content-Type: application/json' \
--data '
{
"projectId": "097bbbf4-d1eb-4512-9950-684445279808",
"acrLoginServer": "myregistry.azurecr.io",
"servicePrincipalId": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
"servicePrincipalPassword": "your-secret-password",
"description": "Production ACR registry"
}
'import requests
url = "https://api-eu.cybedefend.com/integrations/acr/container-registry/organization/{organizationId}/credentials"
payload = {
"projectId": "097bbbf4-d1eb-4512-9950-684445279808",
"acrLoginServer": "myregistry.azurecr.io",
"servicePrincipalId": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
"servicePrincipalPassword": "your-secret-password",
"description": "Production ACR registry"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
projectId: '097bbbf4-d1eb-4512-9950-684445279808',
acrLoginServer: 'myregistry.azurecr.io',
servicePrincipalId: 'xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx',
servicePrincipalPassword: 'your-secret-password',
description: 'Production ACR registry'
})
};
fetch('https://api-eu.cybedefend.com/integrations/acr/container-registry/organization/{organizationId}/credentials', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"acrLoginServer": "myregistry.azurecr.io",
"servicePrincipalId": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
"createdAt": "2025-01-01T00:00:00Z",
"description": "Production ACR registry"
}Store ACR Container Registry credentials
Stores Azure Container Registry Service Principal credentials at organization level. The credentials will be encrypted and stored securely.
Path Parameters
CybeDefend organization ID
"550e8400-e29b-41d4-a716-446655440000"
Body
ACR credentials to store
CybeDefend project ID to associate this credential with
"097bbbf4-d1eb-4512-9950-684445279808"
ACR Login Server URL
"myregistry.azurecr.io"
Service Principal ID (App ID)
"xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx"
Service Principal Password (Client Secret)
"your-secret-password"
Description for this credential
"Production ACR registry"
Response
Credentials stored successfully
Credential ID
"a1b2c3d4-e5f6-7890-abcd-ef1234567890"
ACR Login Server URL
"myregistry.azurecr.io"
Service Principal ID
"xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx"
Creation date
"2025-01-01T00:00:00Z"
Description
"Production ACR registry"